// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from '@/App'
import router from '@/router'
import Axios from '@/assets/js/Axios'
import {CONSTANT} from '@/assets/js/CONSTANT'
import {ReqUtil} from 'flag-bsutils'

import './assets/style.css';

window.Vue = Vue
import {Dialog, Form, FormItem, RadioGroup, Radio, Button, Loading, Message, MessageBox,Input} from 'element-ui'

//引入头部需要的组件
Vue.use(Dialog).use(Form).use(FormItem).use(RadioGroup).use(Radio).use(Button).use(Loading).use(Input)

//生产环境不显示提示
Vue.config.productionTip = false
//ajax插件
Vue.prototype.$http = Axios
Vue.prototype.$constant = CONSTANT
Vue.prototype.$loading = Loading.service
Vue.prototype.$msgbox = MessageBox
Vue.prototype.$alert = MessageBox.alert
Vue.prototype.$confirm = MessageBox.confirm
Vue.prototype.$prompt = MessageBox.prompt
Vue.prototype.$message = Message

//路由全局钩子
router.beforeEach((to, from, next) => {
	next()
})

/* eslint-disable no-new */
new Vue({
	el: '#app',
	router,
	components: {App}
})
